Download it now!
Bug 82076 - FILEOPEN: RTF - Footnote appearing in wrong table cell
Summary: FILEOPEN: RTF - Footnote appearing in wrong table cell
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.4.0
Keywords: filter:rtf, regression
Depends on:
Blocks: RTF-Tables RTF-New-Import RTF-Footnote-Endnote
  Show dependency treegraph
 
Reported: 2014-08-03 00:45 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-31 05:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Word 2013 VS LibO 4.3.1 (328.23 KB, image/png)
2014-08-03 00:45 UTC, Yousuf Philips (jay) (retired)
Details
Reduced test document, using Word 2013 (1.45 MB, text/rtf)
2014-08-03 14:57 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-03 00:45:40 UTC
Created attachment 103886 [details]
Word 2013 VS LibO 4.3.1

Steps:
1) Open attachment 103815 [details] in Word 2013 and convert to RTF, else open < https://drive.google.com/file/d/0B6qJrVIa0SAlbHNZaDRsYlVpQkU/edit?usp=sharing >
2) Scroll down to page 15
3) you will see that footnote numbers are appearing in left cells rather than right cells

Tested in 4.3.1, 4.2.5, and 3.5.7. Regression as it worked in 3.3.0 (old rtf importer)
Comment 1 Jorendc 2014-08-03 14:56:47 UTC
Repro, Windows 8.1 with LibreOffice Version: 4.4.0.0.alpha0+
Build ID: 6528607d34c9a2098ff5eec051fc9299ec37dfd7
TinderBox: Win-x86@39, Branch:master, Time: 2014-08-03_07:56:26
Comment 2 Jorendc 2014-08-03 14:57:33 UTC
Created attachment 103915 [details]
Reduced test document, using Word 2013
Comment 3 Miklos Vajna 2014-10-26 12:01:23 UTC
Yes, when handling the footnote substream, we don't check if we have an active buffer, which is necessary for handling anything within tables.
Comment 5 Yousuf Philips (jay) (retired) 2014-10-26 17:21:23 UTC
hope we'll also get this for 4.3. :D
Comment 6 Markus Mohrhard 2014-10-27 09:58:23 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=956c3ff3d43e1b181f7c91518edee1c7c4dc2a0a

fdo#82076 RTF import: handle footnote in table cell
It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-10-27 12:28:33 UTC Comment hidden (obsolete)
Comment 8 Robinson Tryon (qubit) 2015-12-17 12:49:40 UTC Comment hidden (obsolete)